


var fn = {};

fn.naviMsgClose = function() {
	var me = fn._role('j_msg_close');
	me.click(function() {
		$('#header_msg').slideUp(200);
	});
	$('.navi li').hover(function(){
		$(this).addClass('hover');	
		$(this).find('.navi_content').slideDown(200);
	},function(){
		$(this).removeClass('hover');
		$(this).find('.navi_content').stop(true,true).slideUp(200);
	});
}
fn._role = function(role) {
	return $('[data-role="' + role + '"]');
}

fn.headerFlyMenu = function() {
	$('.weblist').hover(function() {
		$(this).find('ul').slideDown(100);
	}, function() {
		$(this).find('ul').hide();
	});
}

fn.footerMenu = function(){
	$('.rss_input').hover(function(){
		$(this).find('ul.link').slideDown(200);
	},function(){
		$(this).find('ul.link').stop(true,true);
		$(this).find('ul.link').slideUp(200);
	})
}


fn._role = function(role) {
	return $('[data-role="' + role + '"]');
}
fn.mainViewChanger = function() {
	var MC = null, //时间轴轮换对象
	completeAnimate = true, //是否完成动画开关，默认为是
	easying = 'easeInOutExpo', //动画缓动函数
	startnum = 0, //开始播放位置
	temphtml = '', speed = '9000', mainview_canvas = $('div#main_view'), //主视觉画布
	mainview_width = mainview_canvas.width(), //主视觉宽度
	mainview_ul = mainview_canvas.find('ul:eq(0)'), //主视觉帧容器
	controlerul = mainview_canvas.find('div.controlerul'), //主视觉时间轴控制器
	mainview_length = mainview_canvas.find('li').length;
	//主视觉帧数
	var height = mainview_canvas.attr('viewHeight') || 370;
	//获取主视觉默认高度，默认高度为370
	/*************设置画布及附属dom初始化参数****************/
	mainview_canvas.css('height', height + 'px');
	//设置主视觉高度
	mainview_ul.css('width', mainview_width * mainview_length + 'px');
	//设置帧容器宽度
	controlerul.css('width', mainview_length * 40 + 'px');
	$('#controlerul_container').css('width', ((mainview_length * 40) - 14) + 'px');
	if (mainview_length > 1) {
		for (var i = 0; i < mainview_length; i++) {
			if (i == 0) {
				temphtml += '<dd><a href="javascript:;" index="' + i + '" class="actived"></a></dd>';
			} else {
				temphtml += '<dd><a href="javascript:void(0)" index="' + i + '"></a></dd>';
			}
		}
		controlerul.html(temphtml);
	}
	mainview_ul.find('li').each(function(index, element) {
		var bc = $(this).attr('backgroundcolor');
		if (!bc)
			bc = 'transparent';
		$(this).css({
			'width' : mainview_width + 'px',
			'background' : 'transparent'
		});
		var links = $(this).attr('links');
		var me = $(this);
		if (links) {
			$('<a href="' + links + '" target="_blank" style="width:100%;height:100%;left:0px;top:0px;position:absolute;display:block;z-index:9999;"> </a>').appendTo(me);
		}
	});
	/*************end****************/
	/*************获取当前帧****************/
	var getCurrentFrame = function() {
		var cfi = 0;
		controlerul.find('a').each(function(index, element) {
			if ($(this).hasClass('actived')) {
				cfi = index;
			}
		});
		return cfi;
	}
	mainview_ul.find('li:gt(' + startnum + '),li:lt(' + startnum + ')').hide();
	/*******************end***********************/
	/*************设置画布播放函数****************/
	var canvasPlay = function(num) {
		if (completeAnimate) {
			completeAnimate = false;
			var cfi = getCurrentFrame();
			var mt = mainview_ul.find('li:eq(' + cfi + ')').find('div.main_view_div_text:eq(0) div');
			var mtn = mainview_ul.find('li:eq(' + num + ')').find('div.main_view_div_text:eq(0) div');
			mtn.hide();
			//mt.delay(300).animate({width:'hide'},2000,easying);
			mt.delay(100).each(function(i) {
				if (i != (mt.length - 1)) {
					$(this).delay(i * 300).animate({
						width : 'hide'
					}, 1500, easying);
				} else {
					$(this).delay(i * 300).animate({
						width : 'hide'
					}, 1500, easying);
				}
			});
			startnum = num;
			//mainview_ul.animate({left:-startnum*$('div#main_view').width()+'px'},3000,easying);
			mainview_ul.find('li:gt(' + num + '),li:lt(' + num + ')').animate({
				'width' : 'hide'
			}, 1500, easying);
			mainview_ul.find('li:eq(' + num + ')').animate({
				'width' : 'show'
			}, 1500, easying);
			if (mtn.length > 0) {
				mtn.delay(1200).each(function(i) {
					if (i != (mtn.length - 1)) {
						$(this).delay(i * 300).animate({
							width : 'show'
						}, 1500, easying);
					} else {
						$(this).delay(i * 300).animate({
							width : 'show'
						}, 1500, easying, function() {
							completeAnimate = true;
						});
					}
				});
			} else {
				completeAnimate = true;
			}
			controlerul.find('a').removeClass('actived');
			controlerul.find('a:eq(' + startnum + ')').addClass('actived');
		}
	}
	/*******************end***********************/

	/*************画布自动播放****************/
	var autoCanvasPlay = function() {
		startnum++;
		if (startnum >= mainview_length)
			startnum = 0;
		canvasPlay(startnum);
	}
	/********************end***********************/

	if (mainview_length > 1) {
		MC = setInterval(autoCanvasPlay, speed);
		controlerul.find('a').each(function(i) {
			$(this).click(function() {
				if (completeAnimate) {
					clearInterval(MC);
					MC = null;
					var p = parseInt($(this).attr('index'));
					mainview_canvas.find(':animated').stop(true, true);
					canvasPlay(p);
					MC = setInterval(autoCanvasPlay, speed);
				}
			});
		});
	}
	$(window).resize(function() {
		w = $('div#main_view').width();
		mainview_ul.stop(true, true);
		mainview_ul.find('li').css('width', w + 'px');
		mainview_ul.css('width', mainview_length * w + 'px');
		//mainview_ul.css({'left':-startnum*$('div#main_view').width()+'px'});
	});

}

fn.publicTabs = function() {
	$('[data-role="j_public_tabs"] a').on({
		'click' : function() {
			$(this).parents('[data-role="j_public_tabs"]:eq(0)').find('a').removeClass('actived').each(function(index, element) {
				$('#' + $(this).attr('data-show')).hide();
			});
			$('#' + $(this).attr('data-show')).show();
			$(this).addClass('actived');
		}
	});
	$('[data-role="j_public_tabs"] a.actived').trigger('click');

	$('[data-role="j_public_tabs"]').each(function(index, element) {
		var me = $(this);
		me.data('number', 0);
		if ($(this).parents('table').find('[data-role="prev"]').length > 0) {
			$(this).parents('table').find('[data-role="prev"]').click(function(e) {
				me.data('number', me.data('number') + 1);
				if (me.data('number') > 0) {
					me.data('number', 0);
				}
				me.find('ul:eq(0)').animate({
					left : me.data('number') * me.find('li:eq(0)').width() + 'px'
				});
			});
			$(this).parents('table').find('[data-role="next"]').click(function(e) {
				me.data('number', me.data('number') - 1);
				if (Math.abs(me.data('number')) > (me.find('li').length - 7)) {
					me.data('number', -(me.find('li').length - 7));
				}
				me.find('ul:eq(0)').animate({
					left : me.data('number') * me.find('li:eq(0)').width() + 'px'
				});
			});
		}
	});

}
fn.publicPlayer = function() {
	fn._role('j_dot_player').each(function() {
		var me = $(this), w = $(this).attr('player-width'), dot = $($(this).attr('player-dot')), html = '';
		for (var i = 0; i < $(this).find('li').length; i++) {
			html += '<a href="javascript:;" index="' + i + '"';
			if (i == 0) {
				html += ' class="actived"';
			}
			html += '>' + i + '</a>'
		}
		dot.html(html);
		dot.find('a').click(function(e) {
			me.find('ul:eq(0)').stop(true, true);
			me.find('ul:eq(0)').animate({
				'left' : -parseInt($(this).attr('index')) * parseInt(w) + 'px'
			}, 20);
			dot.find('a').removeClass('actived');
			$(this).addClass('actived');
		});
	});
}


fn.tpzlEvent = function() {
	var lis = $('.image_scroll li').length,page=0;
	$('.image_scroll ul').width(lis * 228);
	$('.image_scroll .image_prev').click(function() {
		
		page--;
		if(page<0)page=0;
		$('.image_scroll ul').animate({'marginLeft':-(page * 228)+'px'},400);
	});
	$('.image_scroll .image_next').click(function() {
		page++;
		if(page>(lis-3))page=lis-3;
		$('.image_scroll ul').animate({'marginLeft':-(page * 228)+'px'},400);
	});
}


$(function() {
	for (fname in fn) {
		if (fname.indexOf('_') == -1) {
			fn[fname]();
		}
	}
})
